/**
 *
 */
package pw.yumc.VbariableAPI;

import org.bukkit.OfflinePlayer;
import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

/**
 *
 * @since 2016年1月29日 上午10:35:20
 * @author 喵♂呜
 */
public class VariableReplaceEvent extends Event {

    private static final HandlerList handlers = new HandlerList();
    private Player player = null;
    private final OfflinePlayer offlinePlayer;
    private final String message;

    public VariableReplaceEvent(final OfflinePlayer offlinePlayer, final String message) {
        if (offlinePlayer != null && offlinePlayer.isOnline()) {
            this.player = (Player) offlinePlayer;
        }
        this.offlinePlayer = offlinePlayer;
        this.message = message;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    /**
     * @return message
     */
    public String getMessage() {
        return message;
    }

    /**
     * @return offlinePlayer
     */
    public OfflinePlayer getOfflinePlayer() {
        return offlinePlayer;
    }

    /**
     * @return player
     */
    public Player getPlayer() {
        return player;
    }

}
